import { OnInit, EventEmitter, ElementRef, ViewContainerRef, ComponentFactoryResolver, Compiler } from '@angular/core';
import { Font } from './interfaces';
export declare class FontPickerDirective implements OnInit {
    private resolver;
    private compiler;
    private el;
    private vc;
    private dialog;
    fontPicker: Font;
    fpWidth: string;
    fpHeight: string;
    fpFallbackFont: Font;
    fpPresetLabel: string;
    fpPresetFonts: Array<string>;
    fpSizeSelect: boolean;
    fpStyleSelect: boolean;
    fpPosition: string;
    fpPositionOffset: string;
    fpPositionRelativeToArrow: boolean;
    fpCancelButton: boolean;
    fpCancelButtonText: string;
    fpCancelButtonClass: string;
    fpUploadButton: boolean;
    fpUploadButtonText: string;
    fpUploadButtonClass: string;
    fontPickerChange: EventEmitter<Font>;
    constructor(resolver: ComponentFactoryResolver, compiler: Compiler, el: ElementRef, vc: ViewContainerRef);
    ngOnInit(): void;
    onClick(): void;
}
